Subject: RE: [Ecrit] Emergency Context Routing of InternetTechnologies-Architecture Considerations

From: "Michael Hammer \(mhammer\)" <[email-masked]>
Date: Wed, 7 Sep 2005 12:06:53 -0400

Hmmm....  Seems like we had a case very recently in Arlington, VA near
Washington, D.C. where a man who called 911 died because the emergency
responders couldn't figure out who had jurisdiction.

Sounds like a bug in the data to me.

And it sounds like the public discovered the bug first, i.e. the man
died.

Mike

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] 
> On Behalf Of Andrew Newton
> Sent: Wednesday, September 07, 2005 11:07 AM
> To: Henning Schulzrinne
> Cc: Stastny Richard; ECRIT
> Subject: Re: [Ecrit] Emergency Context Routing of 
> InternetTechnologies-Architecture Considerations
> 
> 
> On Sep 7, 2005, at 10:30 AM, Henning Schulzrinne wrote:
> 
> > I agree with Richard. There is real cost in obscurity; as Richard 
> > points out, at least in the US, the information is 
> essentially public 
> > anyway, so hiding this simply means that bugs won't be found, that 
> > systems are made more complicated and that there's more opportunity 
> > for various security consultants and contractors offering their 
> > snake-oil services to gauge PSAPs. We all pay the price for 
> > pseudo-security, even if it just confiscated nail clippers at the 
> > airport...
> 
> Henning, you've mischaracterized the technical aspect of this.   
> Polygons are data, not algorithms.  Do you expect of find a 
> bug in a polygon that totally destroys the security of an 
> ECRIT system?  At worst, the polygon may have a bad point or 
> two... something that I do not think will give an attacker 
> any advantage and something that can be easily corrected once 
> discovered.  And this type of mistake seems most likely to be 
> discovered by the PSAP and associated first responders and 
> not the general public.
> 
> > I'm very afraid that this type of recommendation will be used to 
> > design closed, non-debuggable, expensive systems. Unless there is a 
> > strong engineering motivation that can be justified on technical 
> > grounds, we should not make such recommendations.
> 
> Having the polygons stay server-side does not equate to a closed  
> system.  It is a design choice.  The protocols can still be open.   
> And if the PSAP operators wish, they can demand standards on 
> the back- side to give them more choice (though, this is out 
> of scope for ECRIT).
> 
> Beyond the security aspect, there is also a deployment 
> consideration in keeping the polygons server-side.  What if 
> vendor Acme distributes an ECRIT capable end-device that has 
> a bug in its intersection algorithm caused by some "clever" 
> code optimization.  What if there are two such vendors with 
> two different bugs.  The compensation to deal with such bugs 
> will be difficult.
> 
> -andy
> 
> 
> _______________________________________________
> Ecrit mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/ecrit
> 

_______________________________________________
Ecrit mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ecrit

---

From: Andrew Newton <[email-masked]>
Date: Wed, 7 Sep 2005 13:56:30 -0400

> responders couldn't figure out who had jurisdiction.

I often think that Arlington County would be a very interesting place  
to look at for this problem space, given that it has a few college  
campuses, many government offices, one of the most famous national  
parks (part of which is operated by the military), that huge DOD  
installation, two cities that overlap its borders, and a river  
belonging to another state. I tried to find this story to glean any  
details, but could not find it.

> Sounds like a bug in the data to me.

That's hard to tell without details.  But if it was a bug in the  
data, I do not think this man's cell phone would have been any better  
at handling it than the PSAP's computers.

> And it sounds like the public discovered the bug first, i.e. the man

I did use the words "seems most likely".  In general, I do not  
imagine the public will be culling PSAP boundary data in non- 
emergency situations to inform a PSAP of incorrect polygons.

-andy